Wallets, tokens & networks

Get Toku Wallet Status

Returns the caller Privy wallet link row, else Crossmint row in the same shape, else null.

GEThttps://api.toku.com/tga/get-toku-wallet-status

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/tga/get-toku-wallet-status' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "privyWalletID": "string",
  "roleInOrgID": "string",
  "walletID": "string",
  "privyDID": "string",
  "createdWithEmail": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
privyWalletIDstring | null
roleInOrgIDstring | null
walletIDstring | null
privyDIDstring | null
createdWithEmailstring | null
createdAtstring | null
updatedAtstring | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits